com.massivecraft.factions.zcore.nbtapi

## Class NBTItem

- java.lang.Object
- - com.massivecraft.factions.zcore.nbtapi.NBTCompound
  - - com.massivecraft.factions.zcore.nbtapi.NBTItem

-     public class NBTItem
      extends NBTCompound

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NBTItem(org.bukkit.inventory.ItemStack item)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NBTContainer` | `convertItemtoNBT(org.bukkit.inventory.ItemStack item)`
    `static org.bukkit.inventory.ItemStack` | `convertNBTtoItem(NBTCompound comp)`
    `protected java.lang.Object` | `getCompound()`
    `org.bukkit.inventory.ItemStack` | `getItem()`
    `protected void` | `setCompound(java.lang.Object compound)`
    `protected void` | `setItem(org.bukkit.inventory.ItemStack item)`

    - ### Methods inherited from class com.massivecraft.factions.zcore.nbtapi.NBTCompound

      `addCompound, asNBTString, getBoolean, getByte, getByteArray, getCompound, getContent, getDouble, getFloat, getIntArray, getInteger, getKeys, getList, getLong, getName, getObject, getParent, getShort, getString, getType, hasKey, mergeCompound, removeKey, set, setBoolean, setByte, setByteArray, setDouble, setFloat, setIntArray, setInteger, setLong, setObject, setShort, setString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NBTItem

          public NBTItem(org.bukkit.inventory.ItemStack item)

  - ### Method Detail

    - #### convertItemtoNBT

          public static NBTContainer convertItemtoNBT(org.bukkit.inventory.ItemStack item)

    - #### convertNBTtoItem

          public static org.bukkit.inventory.ItemStack convertNBTtoItem(NBTCompound comp)

    - #### getCompound

          protected java.lang.Object getCompound()

      Overrides:
        `getCompound` in class `NBTCompound`

    - #### setCompound

          protected void setCompound(java.lang.Object compound)

      Overrides:
        `setCompound` in class `NBTCompound`

    - #### getItem

          public org.bukkit.inventory.ItemStack getItem()

    - #### setItem

          protected void setItem(org.bukkit.inventory.ItemStack item)